#
# spec file for package python-magnumclient
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-magnumclient
Version:        2.3.0
Release:        1.1
Summary:        Python API and CLI for OpenStack Magnum
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{name}
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PrettyTable >= 0.7
BuildRequires:  python-cryptography >= 1.0
BuildRequires:  python-decorator >= 3.4.0
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-keystoneauth1 >= 2.10.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-os-client-config >= 1.13.1
BuildRequires:  python-oslo.i18n >= 2.1.0
BuildRequires:  python-oslo.serialization >= 1.10.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-Babel >= 2.3.4
Requires:       python-PrettyTable >= 0.7
Requires:       python-cryptography >= 1.0
Requires:       python-decorator >= 3.4.0
Requires:       python-keystoneauth1 >= 2.10.0
Requires:       python-os-client-config >= 1.13.1
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-pbr >= 1.6
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.9.0
Requires:       python-stevedore >= 1.16.0
BuildArch:      noarch

%description
Client library for Magnum built on the Magnum API. It provides a Python API
(the magnumclient module) and a command-line tool (magnum).

%package doc
Summary:        Documentation for OpenStack Magnum API client libary
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Client library for Magnum built on the Magnum API. It provides a Python API
(the magnumclient module) and a command-line tool (magnum).
This package contains the documentation.

%prep
%setup -q -n %{name}-%{version}

%build
%py2_build

# Build HTML docs and man page
%{__python2} setup.py build_sphinx
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/magnumclient
%{python2_sitelib}/*.egg-info
%{_bindir}/magnum

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Tue Sep  6 2016 tbechtold@suse.com
  update to version 2.3.0
  * Base OSC plugin support
  * Use os-client-config in shell
  * Use upper constraints for all jobs in tox.ini
  * Magnum client to support sync and async bay opts
  * Remove discover from test-requirements
  * Prints  '-' instead of 'None' when data is None
  * Updates certificate CLI to use cluster
  * Increase unit test coverage for module baymodels
  * Adds 'cluster' and 'cluster template'
  * Add Python 3.5 classifier and venv
  * Add shell command bay-config
  * Cleanup coverage configuration
  * bay-config return absolute path
  * Update the magnum client to send the latest version.
  * Enabled magnum client to display detailed information
  * Fix to use HttpClient if token is given
  * Fixes bay_uuid parameter issue in functional tests
  * Display baymodel info with bay-show command
  * Add microversioning support for httpclient
  * Add floating_ip_enabled attributes to baymodel
  * Append value using comma if key exists in label
  * Updated from global requirements
* Tue Aug 30 2016 tbechtold@suse.com
- update to 2.2.0:
  * Updated from global requirements
  * Bay_create_timeout should be set to 60 default
  * Pass a flag to disable LB in baymodels
  * Log appropriate error while exception
  * Add fixed_subnet attributes to baymodel
  * Support OS_PROJECT_* env variables
  * Completely remove openstack common modules
  * Add docker-storage-driver argument to baymodel
  * Tox test should respect upper-constraints
  * Switch to a new service type "container-infra"
  * Add mesos_slave_executor_environment_variables validate in CLI
  * Add some fields back to bay_list
  * Add '--fields' to show more columns for bay-list
  * Update the home-page with developer documentation
  * Correcting help messages of baymodel
  * Add python3 to python classifiers
  * Add '--fields' to show more columns for baymodel-list
  * Corrected spacing mistake in baymodels_shell.py
  * Fix the bug when some value in labels has comma, it will fail
  * Remove k8s pods, rcs, svc and container API calls
  * Add endpoint_override parameter to python-magnumclient
  * Revert "Parameter format change for ca-show and ca-sign"
  * Parameter format change for ca-show and ca-sign
  * Fix the container-list with --limit 'a negative number'
  * Remove the update function of container
  * Add missing user message
  * Add marker/limit/sort-key/sort-dir features for bay-list
  * Add marker/limit/sort-key/sort-dir features for container-list
  * Allow semicolons in list of labels
  * Add unit tests for MServiceManager.list() method
  * Add unit tests for ContainerManager.list() method
  * Add unit tests for BayModelManager.list() method
  * Add unit tests for BayManager.list() method
  * Adapt http response error message parsing
- update _service and switch to upstream spec template
* Wed Apr 13 2016 tbechtold@suse.com
- Initial packaging (version 2.0.0)
